automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.11-687-g


From: Stefano Lattarini
Subject: [Automake-commit] [SCM] GNU Automake branch, maint, updated. v1.11-687-g3974270
Date: Thu, 09 Feb 2012 18:52:00 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Automake".

http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=3974270e2819447efdd3f4749c8f0f910bc9388c

The branch, maint has been updated
       via  3974270e2819447efdd3f4749c8f0f910bc9388c (commit)
       via  f5f838a2eba1bb26a755762665095ae76fe59a9e (commit)
       via  947ce0ed641ca226c632a3c05adfc068b802c518 (commit)
      from  ea4f1a91ac1c11a91a21169125b7ed931a4ab7fe (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
-----------------------------------------------------------------------

Summary of changes:
 THANKS                 |    1 +
 lib/am/header-vars.am  |    3 +-
 tests/aclocal5.test    |    2 +
 tests/list-of-tests.mk |    1 +
 tests/make-dryrun.test |   67 ++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 73 insertions(+), 1 deletions(-)
 create mode 100755 tests/make-dryrun.test

diff --git a/THANKS b/THANKS
index e6730b4..b512b6b 100644
--- a/THANKS
+++ b/THANKS
@@ -194,6 +194,7 @@ Klaus Reichl                address@hidden
 Krzysztof Żelechowski address@hidden
 L. Peter Deutsch       address@hidden
 Ladislav Strojil       address@hidden
+Larry Daniel           address@hidden
 Larry Jones            address@hidden
 Lars Hecking           address@hidden
 Lars J. Aas            address@hidden
diff --git a/lib/am/header-vars.am b/lib/am/header-vars.am
index 0f05731..1078a3d 100644
--- a/lib/am/header-vars.am
+++ b/lib/am/header-vars.am
@@ -35,8 +35,9 @@ VPATH = @srcdir@
 am__make_dryrun = \
   { \
     am__dry=no; \
-    for am__flg in $$MAKEFLAGS; do \
+    for am__flg in : $(MAKEFLAGS); do \
       case $$am__flg in \
+        :) ;; \
         *=*|--*) ;; \
         *n*) am__dry=yes; break;; \
       esac; \
diff --git a/tests/aclocal5.test b/tests/aclocal5.test
index b206587..ec032e4 100755
--- a/tests/aclocal5.test
+++ b/tests/aclocal5.test
@@ -51,6 +51,7 @@ $MAKE
 # updated, even from a sub-directory.  Check that AU_ALIAS is
 # recognized. Change the definition of AM_TEST to check that its new
 # definition is used.
+$sleep # Modified configure dependencies must be newer than config.status.
 echo 'AU_ALIAS([AM_TEST], [AC_SUBST])' > m4/moredefs.m4
 cd sub
 $MAKE
@@ -64,6 +65,7 @@ test -f $me-1.0/m4/moredefs.m4
 
 # Change the definition of AM_TEST to check that its new definition is
 # used.  Check that AC_DEFUN_ONCE is caught.
+$sleep # Modified configure dependencies must be newer than config.status.
 echo 'AC_DEFUN_ONCE([AM_TEST], [AC_SUBST(__$1__)])' > m4/moredefs.m4
 $MAKE
 grep 'm4/moredefs\.m4' aclocal.m4
diff --git a/tests/list-of-tests.mk b/tests/list-of-tests.mk
index c35589f..bc64d61 100644
--- a/tests/list-of-tests.mk
+++ b/tests/list-of-tests.mk
@@ -548,6 +548,7 @@ makej.test \
 makej2.test \
 maken.test \
 maken3.test \
+make-dryrun.test \
 makevars.test \
 man.test \
 man2.test \
diff --git a/tests/make-dryrun.test b/tests/make-dryrun.test
new file mode 100755
index 0000000..072d02f
--- /dev/null
+++ b/tests/make-dryrun.test
@@ -0,0 +1,67 @@
+#! /bin/sh
+# Copyright (C) 2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+# Check that $(am__make_dryrun) works as expected.
+
+. ./defs || Exit 1
+
+set -e
+
+mkdir sub
+
+echo AC_OUTPUT >> configure.in
+
+cat > Makefile.am <<'END'
+all:
+       : Dummy, nothing to do.
+foo:
+       $(MAKE) all
+notdry:
+       @echo ":: $$MAKEFLAGS ::"; : For debugging.
+       $(am__make_dryrun) && exit 1; exit 0
+dry:
+       address@hidden ":: $$MAKEFLAGS ::"; : For debugging.
+       +$(am__make_dryrun) || exit 1; echo ok > from-dry-mode
+END
+
+$ACLOCAL
+$AUTOCONF
+$AUTOMAKE
+./configure
+
+$MAKE notdry
+
+# Test against a known regressions.  This was especially
+# heinous, since make running in normal mode was sometimes
+# mistaken for make running in dry mode.
+$MAKE notdry TESTS="n1.test n2.test"
+$MAKE notdry TESTS="n1 n2" AM_MAKEFLAGS="TESTS='n1 n2'"
+$MAKE notdry TESTS="n1 n2" AM_MAKEFLAGS='TESTS="n1 n2"'
+$MAKE notdry FOOFLAGS="-n -n -knf2 \\n --none -n"
+$MAKE notdry BARFLAGS="-n \"n\" '-n' --none -n"
+
+if echo 'all: ; @+printf %sbb%s aa cc' | $MAKE -n -f - | grep aabbcc; then
+  $MAKE -n dry
+  test -f from-dry-mode
+  rm -f from-dry-mode
+fi
+
+if using_gmake; then
+  $MAKE --dry-run -k dry
+  test -f from-dry-mode
+fi
+
+:


hooks/post-receive
-- 
GNU Automake



reply via email to

[Prev in Thread] Current Thread [Next in Thread]